Bug 1218124 (kwalletmanager5) - Review Request: kwalletmanager5 - Manage KDE passwords
Summary: Review Request: kwalletmanager5 - Manage KDE passwords
Keywords:
Status: CLOSED RAWHIDE
Alias: kwalletmanager5
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rajeesh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-05-04 08:58 UTC by Jan Grulich
Modified: 2015-05-14 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 12:24:15 UTC
rajeeshknambiar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-05-04 08:58:59 UTC
Spec URL: https://jgrulich.fedorapeople.org/kwalletmanager5.spec
SRPM URL: https://jgrulich.fedorapeople.org/kwalletmanager5-15.04.0-1.20150501git.fc22.src.rpm
Description: KDE Wallet Manager is a tool to manage the passwords on your KDE system.
Fedora Account System Username: jgrulich
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9650548

Comment 1 Rajeesh 2015-05-06 13:09:31 UTC
In general, looks good! There is one non-conformance: kwalletmanager5 should obsolete kwalletmanager.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 2 files have unknown license. Detailed output of licensecheck
     in /home/rajeesh/kwalletmanager5/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present. kwalletmanager5 should obsolete kwalletmanager
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Rpmlint complains about the commented macros, but that should be okay because of no official release yet
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: kwalletmanager5-15.04.0-1.20150501git.fc22.src.rpm
kwalletmanager5.src:10: W: macro-in-comment %global
kwalletmanager5.src:10: W: macro-in-comment %(echo
kwalletmanager5.src:10: W: macro-in-comment %{version}
kwalletmanager5.src:11: W: macro-in-comment %{revision}
kwalletmanager5.src:12: W: macro-in-comment %global
kwalletmanager5.src:13: W: macro-in-comment %else
kwalletmanager5.src:14: W: macro-in-comment %global
kwalletmanager5.src:15: W: macro-in-comment %endif
kwalletmanager5.src:16: W: macro-in-comment %{stable}
kwalletmanager5.src:16: W: macro-in-comment %{version}
kwalletmanager5.src:16: W: macro-in-comment %{version}
kwalletmanager5.src: W: invalid-url Source0: kwalletmanager5-15.04.0-gitbd78050.tar.xz
1 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------


Provides
--------


Source checksums
----------------
Using local file /home/rajeesh/kwalletmanager5-15.04.0-gitbd78050.tar.xz as upstream
file:///home/rajeesh/kwalletmanager5-15.04.0-gitbd78050.tar.xz :
  CHECKSUM(SHA256) this package     : d3817d4e4db6786a29195e359e98af20c9044f0cf3ec5f3bc098041429884d0e
  CHECKSUM(SHA256) upstream package : d3817d4e4db6786a29195e359e98af20c9044f0cf3ec5f3bc098041429884d0e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review --rpm-spec --define DISTTAG=fc22 --no-build --prebuilt -rn kwalletmanager5-15.04.0-1.20150501git.fc22.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH

Comment 2 Jan Grulich 2015-05-06 13:38:03 UTC
It cannot obsolete kwalletmanager, because we need both to be co-installable. Old kwalletmanager is still needed for KDE 4 applications, like KMail.

Comment 3 Rajeesh 2015-05-06 14:48:05 UTC
Okay, clear then.
Thanks, APPROVED.

Comment 4 Rex Dieter 2015-05-06 18:48:21 UTC
New Package SCM Request
=======================
Package Name: kwalletmanager5
Short Description: Manage KDE passwords
Upstream URL: https://projects.kde.org/projects/kde/kdeutils/kwalletmanager
Owners: jgrulich group::kde-sig
Branches: f22
InitialCC:

Comment 5 Gwyn Ciesla 2015-05-08 17:05:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.